PS2SP(1)

NAME
ps2sp - manual page for ps2sp version 4.14

SYNOPSIS
ps2sp [OPTION] infile > outfile

DESCRIPTION

This utility is a SPICE netlist preprocessor.

It converts netlists in PSPICE syntax to an equivalent SPICE3/XSPICE netlist syntax.

Recognized are nearly all PSPICE features like:

*   local and global parameter (expression) definition (.PARAM)

*   parameter (expression) passing to subcircuits (PARAMS:)

*   local and global function definition (.FUNC)

*   E and G-device VALUE=f(V,I), TABLE and POLY lines

*   E and G-device functions like IDT(), DDT(), LIMIT(), PWRS(), PWR(), IF(), MAX(), MIN(), relational ops, ...

*   R-device VALUE=f(V,I), L-device FLUX=f(V,I) and C-device Q=f(V,I)

*   spice2 like C and L-device POLY expressions

*   pspice VSWITCH and ISWITCH models

*   pspice .PROBE lines (also with expressions)

*   R-device lines with temperature coefficients like TC=tc1,tc2

*   pspice .STEP PARAM lines (not yet tested on GNU/Linux)

*   pspice .LIB and .INC(lude) lines (not yet tested on GNU/Linux)

OPTIONS
-h, --help displays the help screen

-v, --version
    display version information and exit

-sp3
    switch means conversion of pspice table to spice 3 b-source instead of xspice core model (default)

-ltspice
    switch means conversion of ^ spice 3 power to ** ltspice power and addition of tripdv=1 tripdt=1 in b-lines

-debug
    for debugging all .param .func and .pfunc definitions (default is nodebug)

-tosub
    only output subckt expansions

-fromsub
    inputfile is a sub.tmp file

-tolib
    only output lib expansions

-fromlib
    inputfile is a lib.tmp file

-check
    determine the same count of open and closed paranthesis in b-lines (default is nocheck)

-notinylines
    produces longer b-lines for some functions (default is tinylines = shorter b-lines)

-xornot
    allows ^ and ~ operators in the netfile (don't mix with ^ as power operator) use the ** operator as power instead

REPORTING BUGS
Report bugs to Friedrich Schmidt <frie.schmidt@aon.at>

COPYRIGHT
Copyright © 2003, 2004, 2005, 2006, 2007 Friedrich Schmidt <frie.schmidt@aon.at>

This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.